Saxon API for .NET |

# Processor Properties

The properties of the Processor class are listed below. For a complete list of Processor class members, see the Processor Members topic.

#### Public Instance Properties

Implementation | The underlying Configuration object in the Saxon implementation
IsSchemaAware | Indicates whether the Processor is schema-aware
ProductTitle | Get the full name of the Saxon product version implemented by this Processor
ProductVersion | Get the Saxon product version number (for example, "8.8.1")
SchemaManager | Gets the SchemaManager for the Processor. Returns null if the Processor is not schema-aware.
XmlResolver | An XmlResolver, which will be used while compiling and running queries, XPath expressions, and stylesheets, if no other XmlResolver is nominated
XmlVersion | The XML version used in this `Processor` (for example, this determines what characters are permitted in a name)

#### See Also

Processor Class | Saxon.Api Namespace